Bug 503478 - [pa_IN][Jhelum] layout need update for Gurmukhi Numeric
[pa_IN][Jhelum] layout need update for Gurmukhi Numeric
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: m17n-contrib (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-01 05:36 EDT by A S Alam
Modified: 2013-07-02 20:52 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.1.9-7.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-19 06:35:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add CTRL+ALT+<digit> combinations to input punjabi numerics (436 bytes, patch)
2009-06-01 05:58 EDT, Parag Nemade
no flags Details | Diff
Patch attached (396 bytes, patch)
2009-07-07 06:05 EDT, A S Alam
no flags Details | Diff

  None (edit)
Description A S Alam 2009-06-01 05:36:39 EDT
Description of problem:
Jhelum Layout has Lation Numeric, while Gurmukhi Numeric is only away with  full size keyboard with numeric keys, but on laptop, those need to include with
Ctrl+Alt+<1,2,3,4..>

Version-Release number of selected component (if applicable):
m17n-contrib-punjabi-1.1.9-5.fc11.noarch

How reproducible:


Steps to Reproduce:
1. Use laptop for input with jhelum Punjabi layout
2. 
3.
  
Actual results:
Only latin Numbers are available

Expected results:
Gurmukhi Numeric can be available with Ctrl+Alt+<NUM_CODE>

Additional info:
http://code.google.com/p/gurmukhi/issues/detail?id=6 Upstream Jhelum
Comment 1 Parag Nemade 2009-06-01 05:58:36 EDT
Created attachment 346067 [details]
Add CTRL+ALT+<digit> combinations to input punjabi numerics

we can use attached patch to add Punjabi numerics using CTRL+ALT+<DIGITS> input.
Comment 2 Fedora Update System 2009-06-02 02:01:44 EDT
m17n-contrib-1.1.9-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/m17n-contrib-1.1.9-6.fc11
Comment 3 A S Alam 2009-06-02 02:16:39 EDT
m17n-contrib-1.1.9-6.fc11  Fixed the bug and it is working with required input.

Thanks
Comment 4 Fedora Update System 2009-06-04 17:09:09 EDT
m17n-contrib-1.1.9-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 A S Alam 2009-07-02 06:34:03 EDT
There is small change it Gurmukhi Numbers. It is changed in latest release keymap with below Changes:

Instead of <Ctrl>+<Alt>

layout is not using only <Ctrl> to input, which is more convenient to type.
Latest release:http://code.google.com/p/gurmukhi/issues/detail?id=6
Comment 6 A S Alam 2009-07-07 06:05:30 EDT
Created attachment 350766 [details]
Patch attached
Comment 7 Fedora Update System 2009-07-16 02:19:41 EDT
m17n-contrib-1.1.9-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/m17n-contrib-1.1.9-7.fc11
Comment 8 A S Alam 2009-07-18 00:01:42 EDT
it is working, but it is conflict with default shortcut of lokalize, which uses the Ctrl+<Number> to copy Translation memory to translation. Can weroll back this patch if required? I will do more testing if I can work with only Alt or need previously used Ctrl+Alt only.

Thanks
Comment 9 Fedora Update System 2009-07-19 06:35:24 EDT
m17n-contrib-1.1.9-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.